# Display Module
![按数字进行绘制](item:tis3d:display_module)

显示模块提供了一套高度灵活的方法，可用于在二维有色网格中以可视化方法呈现任意数据(编者注：孩子们喜欢叫他们“像素”)。这些单元的颜色可以通过四个端口提供一个数字序列，其中，含有该矩形的颜色代码和位置和大小。   

显示模块将从它的端口读取四个值并累加五个值成一次绘制调用。一旦为一个绘制调用所需的所有五个值已被接收，所描述的矩形将会被绘制到到彩色网格中。

## 绘制技术规范
显示模块收到5个值组成的序列，会被依次解释为这些绘制调用的组件：颜色、列、行、宽度和高度。网格是由24行和24列组成的正方形。颜色的值由固定的颜色表决定。 
确切的颜色值可以由供应商而异，但一般颜色名称遵循这个世界的规范：
- `0`: 白色
- `1`: 橙色
- `2`: 品红
- `3`: 浅蓝
- `4`: 黄色
- `5`: 黄绿
- `6`: 粉色
- `7`: 灰色
- `8`: 银白
- `9`: 青色
- `10`: 紫色
- `11`: 蓝色
- `12`: 棕色
- `13`: 绿色
- `14`: 红色
- `15`: 黑色

提供两种颜色或坐标非法值是未定义行为，但通常都可以被正确处理。

下列是一个简单的程序，可画不同颜色垂线：
`MOV 16 ACC`
`LOOP:`
`SUB 1`
`MOV ACC LEFT # COLOR`
`MOV ACC LEFT # X`
`MOV 0 LEFT # Y`
`MOV 1 LEFT # WIDTH`
`MOV 28 LEFT # HEIGHT`
`JNZ LOOP`
